---
agentTools:
  projectIndex: https://deepnftvalue.readme.io/llms.txt
---

# Latest Valuation

Returns the **latest** valuation for a single NFT.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "DeepNFTValue API",
    "version": "1.1",
    "description": "API for DeepNFTValue."
  },
  "paths": {
    "/valuation/{collection_slug}/{token_id}": {
      "get": {
        "operationId": "Valuation",
        "description": "Returns the **latest** valuation for a single NFT.",
        "summary": "Latest Valuation",
        "parameters": [
          {
            "in": "path",
            "name": "collection_slug",
            "schema": {
              "type": "string"
            },
            "description": "Filter to a specific collection slug.",
            "required": true,
            "examples": {
              "CryptoPunks": {
                "value": "cryptopunks"
              }
            }
          },
          {
            "in": "path",
            "name": "token_id",
            "schema": {
              "type": "string"
            },
            "description": "Filter to a specific token id.",
            "required": true,
            "examples": {
              "Tokens#1": {
                "value": "1",
                "summary": "Tokens #1"
              }
            }
          }
        ],
        "tags": [
          "Valuations"
        ],
        "security": [
          {
            "tokenAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Valuation"
                },
                "examples": {
                  "Success": {
                    "value": {
                      "nft": {
                        "token_id": 1,
                        "collection": {
                          "slug": "cryptopunks",
                          "name": "Cryptopunks"
                        }
                      },
                      "price": "70.2",
                      "currency": "ETH",
                      "date": "2022-08-22"
                    }
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Bad request"
          },
          "401": {
            "description": "Unauthorized"
          },
          "404": {
            "description": "Not Found"
          }
        },
        "x-code-samples": [
          {
            "lang": "cURL",
            "label": "CLI",
            "source": "curl --request GET \\\n--url 'https://api.deepnftvalue.com/v1/valuation/cryptopunks/1' \\\n--header 'Authorization: Token <api_key>'"
          },
          {
            "lang": "js",
            "label": "JavaScript",
            "source": "const options={\n    method: \"GET\",\n    headers: {Authorization: \"Token <api_key>\"}\n}\nconst collectionSlug=\"cryptopunks\"\nconst tokenId=1\n\nfetch(`https://api.deepnftvalue.com/v1/valuation/${collectionSlug}/${tokenId}`, options)\n    .then((response)= > response.json())\n    .then((response)= > console.log(response))\n    .catch((err)= > console.error(err))"
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "HistoricalValuation_Nft": {
        "type": "object",
        "properties": {
          "token_id": {
            "type": "integer",
            "maximum": 2147483647,
            "minimum": -2147483648
          },
          "collection": {
            "allOf": [
              {
                "$ref": "#/components/schemas/HistoricalValuation_Nft_Collection"
              }
            ],
            "readOnly": true
          }
        },
        "required": [
          "collection",
          "token_id"
        ]
      },
      "HistoricalValuation_Nft_Collection": {
        "type": "object",
        "properties": {
          "slug": {
            "type": "string",
            "maxLength": 255
          },
          "name": {
            "type": "string",
            "maxLength": 255
          }
        },
        "required": [
          "name",
          "slug"
        ]
      },
      "Valuation": {
        "type": "object",
        "properties": {
          "nft": {
            "allOf": [
              {
                "$ref": "#/components/schemas/HistoricalValuation_Nft"
              }
            ],
            "readOnly": true
          },
          "price": {
            "type": "string",
            "format": "decimal",
            "pattern": "^-?\\d{0,157}(?:\\.\\d{0,3})?$"
          },
          "currency": {
            "type": "string",
            "readOnly": true,
            "title": "The currency symbol, e.g. 'ETH'"
          },
          "date": {
            "type": "string",
            "format": "date"
          }
        },
        "required": [
          "currency",
          "date",
          "nft",
          "price"
        ]
      }
    },
    "securitySchemes": {
      "tokenAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Token-based authentication with required prefix \"Token\""
      }
    }
  },
  "servers": [
    {
      "url": "https://api.deepnftvalue.com/v1",
      "description": "v1"
    },
    {
      "url": "https://api.deepnftvalue.com/v2",
      "description": "v2"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 99,
      "1": 33,
      "2": 164,
      "3": 205,
      "4": 156,
      "5": 109,
      "6": 31,
      "7": 0,
      "8": 41,
      "9": 181,
      "10": 177,
      "11": 220
    }
  }
}
```